package org.ts.ddcs.DataItemTemplate;

import org.ts.ddcs.DataTemplate.ItemTemplateSet;

import java.math.BigDecimal;
import java.util.Map;

public abstract interface DataItemTemplateInterface {
    public abstract void Init(ItemTemplateSet template);
    public abstract BigDecimal GetDecimal();
    public abstract String GetVarchar();
    public abstract void SetVarchar(String value);
    public abstract byte[] GetByteArray();
    public abstract byte[] Stream( byte[] data);
    public abstract boolean Macth();
    public abstract String GetColumnName();
    public abstract String GetName();
    public abstract String GetDesc();
    public abstract String GetTableName();
    public abstract void  SetEntity(Object entity);
    public abstract String toString();
    public abstract String GetFeture();
    public abstract Map<String,Object> GetDatas();
    public abstract boolean OutlierData();
}
